libetonyek::IWORKPropertyMapElement Class Reference documentation

libetonyek::IWORKPropertyMapElement Class Reference

`#include <IWORKPropertyMapElement.h>`

Inheritance diagram for libetonyek::IWORKPropertyMapElement:

## Public Member Functions
| IWORKPropertyMapElement (IWORKXMLParserState &state, IWORKPropertyMap &propMap)
| IWORKPropertyMapElement (IWORKXMLParserState &state, IWORKPropertyHandler &propHandler)
IWORKXMLContextPtr_t | element (int name) override
| Create a context for parsing a child element.
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Private Member Functions
| IWORKPropertyMapElement (const IWORKPropertyMapElement &)
IWORKPropertyMapElement & | operator= (const IWORKPropertyMapElement &)

## Private Attributes
IWORKPropertyMap * | m_propMap
IWORKPropertyHandler * | m_propHandler

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextElement
| IWORKXMLContextElement (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKXMLParserState & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKPropertyMapElement() [1/3]

libetonyek::IWORKPropertyMapElement::IWORKPropertyMapElement | ( | IWORKXMLParserState & | state,
|  | IWORKPropertyMap & | propMap )

Referenced by IWORKPropertyMapElement(), IWORKPropertyMapElement(), and operator=().

## ◆ IWORKPropertyMapElement() [2/3]

libetonyek::IWORKPropertyMapElement::IWORKPropertyMapElement | ( | IWORKXMLParserState & | state,
|  | IWORKPropertyHandler & | propHandler )

## ◆ IWORKPropertyMapElement() [3/3]

libetonyek::IWORKPropertyMapElement::IWORKPropertyMapElement | ( | const IWORKPropertyMapElement & |  | ) |
| private

## Member Function Documentation

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKPropertyMapElement::element | ( | int | name | ) |
| overridevirtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implements libetonyek::IWORKXMLContext.

## ◆ operator=()

IWORKPropertyMapElement & libetonyek::IWORKPropertyMapElement::operator= | ( | const IWORKPropertyMapElement & |  | ) |
| private

## Member Data Documentation

## ◆ m_propHandler

IWORKPropertyHandler* libetonyek::IWORKPropertyMapElement::m_propHandler
| private

Referenced by element(), IWORKPropertyMapElement(), and IWORKPropertyMapElement().

## ◆ m_propMap

IWORKPropertyMap* libetonyek::IWORKPropertyMapElement::m_propMap
| private

Referenced by element(), IWORKPropertyMapElement(), and IWORKPropertyMapElement().

The documentation for this class was generated from the following files:

- IWORKPropertyMapElement.h
- IWORKPropertyMapElement.cpp